NamingExceptionReader (Mule ESB 2.2.1 API)
Keywords: org.mule.config.NamingExceptionReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class NamingExceptionReader

    java.lang.Object
      org.mule.config.NamingExceptionReader

All Implemented Interfaces:
  ExceptionReader

    public class NamingExceptionReader

extends Object
implements ExceptionReader

Field Summary
`protected static String` | `MISSING_NAME_DISPLAY_VALUE` Displayed when no remaining or resolved name found.

Constructor Summary
`NamingExceptionReader()`

Method Summary
`Throwable` | `getCause(Throwable t)`
`Class` | `getExceptionType()`
`Map` | `getInfo(Throwable t)` Returns a map of the non-stanard information stored on the exception
`String` | `getMessage(Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MISSING_NAME_DISPLAY_VALUE

    protected static final String MISSING_NAME_DISPLAY_VALUE

  Displayed when no remaining or resolved name found.

  See Also:
    Constant Field Values

Constructor Detail

### NamingExceptionReader

    public NamingExceptionReader()

Method Detail

### getMessage

    public String getMessage(Throwable t)

  Specified by:
    `getMessage` in interface `ExceptionReader`

### getCause

    public Throwable getCause(Throwable t)

  Specified by:
    `getCause` in interface `ExceptionReader`

### getExceptionType

    public Class getExceptionType()

  Specified by:
    `getExceptionType` in interface `ExceptionReader`

### getInfo

    public Map getInfo(Throwable t)

  Returns a map of the non-stanard information stored on the exception

  Specified by:
    `getInfo` in interface `ExceptionReader`
  Parameters:
    `t` - the exception to extract the information from
  Returns:
    a map of the non-stanard information stored on the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.